from rdflib.Identifier import Identifier

class Literal(Identifier):
    def __add__(self, val):
        s = super(Literal, self).__add__(val)
        return Literal(s)
    
    def n3(self):
        return '"%s"' % self

    def __eq__(self, other):
        if isinstance(other, Literal):
            return super(Literal, self).__eq__(other)
        else:
            return 0


